
/* ------------------------------------------------------------------------------ */
/* Home Intro Section */
/* ------------------------------------------------------------------------------ */
#home-intro .theme-wrapper h3 {
    font-size: clamp(2em, 2vw + 1.05em, 2.94em);
    line-height: 1.4;
}

#home-intro .theme-wrapper p {
    font-size: clamp(1.2em, 2vw, 1.4em);
}

#home-intro .theme-wrapper hr {
    border-color: var(--color-accent-1);
    border-width: 4px;
    margin: clamp(35px, 4vw, 75px) 0;
}

@media (min-width: 1024px) {

    #home-intro.twm-block-1 .item {
        align-items: normal;
    }

    #home-intro.twm-block-1 .media-width-45 {
        width: 45%;
        max-height: calc(45vw * 1.33); /* Make the image no taller than a 3:4 aspect ratio */
        aspect-ratio: 1 / 1; /* This is the minimum height. It will only be this if the text column is less than this. */
        aspect-ratio: 4 / 3; /* This is the minimum height. It will only be this if the text column is less than this. */
    }

    #home-intro.twm-block-1 .item-img, #home-intro.twm-block-1 .item-img img {
        width: 100%;
        height: 100%; /* Use this to grow the image to match the height of the text column. NB: It doesn't work without setting a min-height on the parent - which is what we're doing by using the aspect-ratio. */
    }

        #home-intro.twm-block-1 .item-img.img-ratio.img-1-1,
        #home-intro.twm-block-1 .item-img.img-ratio.img-4-3 {
            padding-top: 0;
        }

        #home-intro.twm-block-1 .item-img.img-ratio img {
            position: relative;
            left: auto;
            top: auto;
        }
}

/* ------------------------------------------------------------------------------ */
/* Home Services Section */
/* ------------------------------------------------------------------------------ */

#home-services > .container {
    max-width: 1600px;
}

#home-services .grid-items {
    gap: 2em;
}

@media (min-width: 1200px) {
    #home-services .grid-items {
        gap: 3em;
    }
}

#home-services.cards-block > .container > .item-txt.txt-bigger > .theme-wrapper {
    font-size: clamp(1.1em, calc(0.95em + 0.5vw), 1.3em);
    font-weight: 400;
}

#home-services.cards-block-1 .card-items .item .item-txt {
    padding-top: 0;
}

    #home-services.cards-block-1 .card-items .item .item-txt .txt-wrapper {
        gap: 1.5em;
    }

        #home-services.cards-block-1 .card-items .item .item-txt .txt-wrapper .title {
            font-size: clamp(2em, 2vw + 1.05em, 2.6em);
        }

            #home-services.cards-block-1 .card-items .item .item-txt .txt-wrapper .title > span {
                display: inline-block;
            }

        #home-services.cards-block-1 .card-items .item .item-txt .txt-wrapper .theme-wrapper {
            margin-top: 0;
        }

#home-services.cards-block-1 .card-items .theme-wrapper {
    -webkit-line-clamp: none;
}

    #home-services.cards-block-1 .card-items .theme-wrapper ul li {
        font-weight: 400;
        background: rgba(255, 255, 255, 0.04);
        padding: clamp(10px, 0.8vw, 15px);
        padding-left: clamp(45px, 20.833vw - 55px, 75px);
        margin-bottom: 2px;
        border-radius: 5px;
    }

        #home-services.cards-block-1 .card-items .theme-wrapper ul li::before {
            top: auto;
            padding-left: clamp(8px, 4.167vw - 10px, 20px);
        }

body.semps-icon-bullet-9 #home-services.cards-block-1 .card-items .theme-wrapper ul li::before {
    font-size: clamp(28px, 2vw, 32px);
}

#home-services #additional-info {
    grid-column: 1 / -1;
    font-weight: 400;
    background: rgba(255, 255, 255, 0.04);
    text-align: center;
    padding: clamp(15px, 4vw, 50px);
    border-radius: 5px;
}

@media (min-width: 768px) {
    #home-services #additional-info {
        font-size: 1.1em;
    }
}

/* ------------------------------------------------------------------------------ */
/* Home About Section */
/* ------------------------------------------------------------------------------ */

#home-about.twm-block-1 .item .item-txt {
    container-type: inline-size;
}

@media (min-width: 1024px) {

    #home-about.twm-block-1 .item {
        align-items: normal;
    }

    #home-about.twm-block-1 .media-width-45 {
        width: 45%;
        max-height: calc(45vw * 1.33); /* Make the image no taller than a 3:4 aspect ratio */
        aspect-ratio: 1 / 1; /* This is the minimum height. It will only be this if the text column is less than this. */
        aspect-ratio: 4 / 3; /* This is the minimum height. It will only be this if the text column is less than this. */
    }

    #home-about.twm-block-1 .item-img, #home-about.twm-block-1 .item-img img {
        width: 100%;
        height: 100%; /* Use this to grow the image to match the height of the text column. NB: It doesn't work without setting a min-height on the parent - which is what we're doing by using the aspect-ratio. */
    }

        #home-about.twm-block-1 .item-img.img-ratio.img-1-1,
        #home-about.twm-block-1 .item-img.img-ratio.img-4-3 {
            padding-top: 0;
        }

        #home-about.twm-block-1 .item-img.img-ratio img {
            position: relative;
            left: auto;
            top: auto;
        }
}

/* ------------------------------------------------------------------------------ */
/* Home Services Section */
/* ------------------------------------------------------------------------------ */

#project-design-features {
    margin-top: calc(-1 * clamp(var(--block-spacing-md), 8vw, var(--block-spacing-xl)) + 50px);
}
        
#project-design-features > .container {
    background-color: var(--color-primary);
    color: var(--font-color-light);
    padding: clamp(20px, 4vw, 75px);
    border-radius: 5px;
}

#project-design-features.cards-block-1 .card-items.grid-items {
    gap: clamp(0.5rem, 1.5vw, 1.5rem);
}

@media (min-width: 768px) and (max-width: 1199px) {
    #project-design-features.cards-block-1 .card-items.grid-items {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1200px) and (max-width: 1366px) {
    #project-design-features.cards-block-1 .card-items.grid-items {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

#project-design-features.cards-block-1 .card-items .item {
    background-color: rgba(255,255,255,0.05);
    padding: clamp(15px, 4vw, 20px);
    border: 1px solid rgba(255,255,255,0.1);
    border-left-color: rgba(0,0,0,0.35);
    border-top-color: rgba(0,0,0,0.35);
    border-left: 4px solid #d6621e;
    border-radius: 5px;
}

#project-design-features.cards-block-1 > .container > .item-txt {
    margin-bottom: clamp(20px, 4vw, 50px);
}

#project-design-features.cards-block-1 > .container > .item-txt .theme-wrapper h3 {
    margin-top: 5px;
}

#project-design-features.cards-block-1 .card-items .item .item-txt {
    padding-top: 0;
}

/* #project-design-features.cards-block-1 .card-items .item .item-txt .txt-wrapper {
    justify-content: center;
}
*/
#project-design-features.cards-block-1 .card-items .item .item-txt .txt-wrapper .theme-wrapper {
    margin-top: 0;
    --link-color: #fff;
    --link-color-hover: #fff;
}

#project-design-features.cards-block-1 .card-items .item .item-txt .txt-wrapper .theme-wrapper ul li::before {
    padding-left: 0;
}

/* ------------------------------------------------------------------------------ */
/* Footer "Master Builder" Logo Section */
/* ------------------------------------------------------------------------------ */

footer section.contacts, footer section.socials {
    margin: 25px 0;
}
footer section.contacts h4 {
    margin-bottom: 10px;
}
footer section.socials h4 {
    margin-bottom: 15px;
}

footer .member-logo {
    margin: clamp(50px, 12vw, 75px) 0;
}

@media (max-width: 1023px) {
    footer .member-logo .items img {
        margin: 0 auto;
    }
}

footer .member-logo.left-col .items img {
    width: clamp(160px, 14vw, 180px);
}

footer .member-logo.center-col .items img {
    width: clamp(170px, 12vw, 200px);
    margin: 0 auto;
}

footer .member-logo.right-col {
    margin: clamp(50px, 12vw, 60px) 0;
}

footer .member-logo.right-col .items img {
    width: clamp(170px, 12vw, 200px);
    margin-left: auto;
}


